package com.weather.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.weather.entity.WeaAuditRotaInfo;
import com.weather.mapper.WeaAuditRotaInfoMapper;
import com.weather.service.IWeaAuditRotaInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author feng
 * @since 2023-09-05
 */
@Service
public class WeaAuditRotaInfoServiceImpl extends ServiceImpl<WeaAuditRotaInfoMapper, WeaAuditRotaInfo> implements IWeaAuditRotaInfoService {

    @Autowired
    private WeaAuditRotaInfoMapper weaAuditRotaInfoMapper;

    /**
     * 查询审核信息
     *
     * @param id 审核ID
     * @return 审核信息
     */
    @Override
    public WeaAuditRotaInfo selectWeaAuditRotaInfoById(Long id)
    {
        return weaAuditRotaInfoMapper.selectWeaAuditRotaInfoById(id);
    }



    /**
     * 查询审核信息
     *
     * @param rotaYear 审核ID
     * @return 审核信息
     */
    @Override
    public List<WeaAuditRotaInfo>  selectWeaAuditRotaInfoByDate(String rotaYear)
    {
        return weaAuditRotaInfoMapper.selectWeaAuditRotaInfoByDate(rotaYear);
    }

    /**
     * 查询审核列表
     *
     * @param weaAuditRotaInfo 审核信息
     * @return 审核集合
     */
    @Override
    public List<WeaAuditRotaInfo> selectWeaAuditRotaInfoList(WeaAuditRotaInfo weaAuditRotaInfo)
    {
        return weaAuditRotaInfoMapper.selectWeaAuditRotaInfoList(weaAuditRotaInfo);
    }

    /**
     * 新增审核
     *
     * @param weaAuditRotaInfo 审核信息
     * @return 结果
     */
    @Override
    public int insertWeaAuditRotaInfo(WeaAuditRotaInfo weaAuditRotaInfo)
    {

        return weaAuditRotaInfoMapper.insertWeaAuditRotaInfo(weaAuditRotaInfo);
    }

    /**
     * 修改审核
     *
     * @param weaAuditRotaInfo 审核信息
     * @return 结果
     */
    @Override
    public int updateWeaAuditRotaInfo(WeaAuditRotaInfo weaAuditRotaInfo)
    {
        return weaAuditRotaInfoMapper.updateWeaAuditRotaInfo(weaAuditRotaInfo);
    }

    /**
     * 删除审核对象
     *
     * @param id 审核ID
     * @return 结果
     */
    @Override
    public int deleteWeaAuditRotaInfoById(Long id)
    {
        return weaAuditRotaInfoMapper.deleteWeaAuditRotaInfoById(id);
    }



}
